<?php

add_filter('xmlrpc_enabled', '__return_false');

add_filter('show_admin_bar', '__return_false');
remove_action('personal_options', '_admin_bar_preferences');

add_action('admin_menu', 'all_settings_link');
function all_settings_link() {

	add_options_page(__('All Settings'), __('All Settings'), 'administrator', 'options.php');

}

add_filter( 'pre_option_link_manager_enabled', '__return_true' );

add_post_type_support( 'page', 'excerpt' );

add_action ( 'init','header_opschonen' );
function header_opschonen() {

	remove_action( 'wp_head', 'feed_links_extra', 3 );
	remove_action( 'wp_head', 'feed_links', 2 );
	remove_action( 'wp_head', 'rsd_link' );
	remove_action( 'wp_head', 'wlwmanifest_link' );
	remove_action( 'wp_head', 'index_rel_link' );
	remove_action( 'wp_head', 'parent_post_rel_link', 10, 0 );
	remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0 );
	remove_action( 'wp_head', 'wp_generator' );
	remove_action( 'wp_head', 'wp_shortlink_wp_head');

}


/**
 * Disable emoji's
 */

add_action( 'init', 'geen_emojis' );
function geen_emojis() {
	
	remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
	remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
	remove_action( 'wp_print_styles', 'print_emoji_styles' );
	remove_action( 'admin_print_styles', 'print_emoji_styles' );	
	remove_filter( 'the_content_feed', 'wp_staticize_emoji' );
	remove_filter( 'comment_text_rss', 'wp_staticize_emoji' );	
	remove_filter( 'wp_mail', 'wp_staticize_emoji_for_email' );
	add_filter( 'tiny_mce_plugins', 'geen_emojis_tinymce' );
	
}

function geen_emojis_tinymce( $plugins ) {
	
	if ( is_array( $plugins ) ) {
		return array_diff( $plugins, array( 'wpemoji' ) );
	} else {
		return array();
	}
	
}


add_filter( 'user_contactmethods', 'hide_profile_fields', 10, 1 );
function hide_profile_fields( $contactmethods ) {

	unset( $contactmethods['aim'] );
	unset( $contactmethods['jabber'] );
	unset( $contactmethods['yim'] );
	unset( $contactmethods['url'] );
	return $contactmethods;

}


function query_informatie() {

	global $wpdb;
		
	$aantal_queries = get_num_queries();
	$output = $aantal_queries . ' queries in ' . timer_stop( 1 ) . ' seconden.';
    return $output;

}
	
?>