<?php

/**
 * Template for displaying search results.
 *
 * Used to display the results of the default WordPress search query.
 *
 * @package     WordPress
 * @subpackage  Timber
 * @since
 */

$context                           = Timber::get_context();
$context['posts']                  = Timber::get_posts();
$context['pagination']             = Timber::get_pagination();
$context['pagination']['gevonden'] = scoutingnlTimberPagination::aantal_gevonden();
$context['aantal_resultaten']      = $context['pagination']['gevonden'];
$context['class_resultaten']       = ( 0 === $context['pagination']['gevonden'] ) ? 'geen-zoekresultaten' : 'zoekresultaten';

$templates = array(
	'search.twig',
	'index.twig',
);
Timber::render( $templates, $context );
