<?php

/**
 * Template for displaying single post info.
 *
 * Used to display single post info. Uses conditional logic to load more specific templates.
 *
 * @package     WordPress
 * @subpackage  Timber
 * @since
 */

$context           = Timber::get_context();
$single_post       = Timber::query_post();
$context['post']   = $single_post;
$banner            = get_field( 'banner', $single_post->ID );
$context['banner'] = $banner;

$templates = array(
	'post.twig',
	'index.twig',
);
Timber::render( $templates, $context );
