var gmap_el;
var scoutingnl_kaart = ( function() {
	
	$ = jQuery;

	/* === private properties en methods === */

	function gmapJSLaden() {
	
		var script = document.createElement( 'script' );
		script.type = 'text/javascript';
		script.src = 'https://maps.google.com/maps/api/js?libraries=geometry,adsense&language=nl&key=AIzaSyBBQRMuAFKzduZVhwWublJFd0VLtJy-uUQ&callback=scoutingnl_kaart.load_me';
		document.body.appendChild( script );
	
	}
	
	function initialize() {

		var id = $( gmap_el ).attr( 'id' );
		var gx = $( gmap_el ).attr( 'data-lat' );
		var gy = $( gmap_el ).attr( 'data-lng' );	
		var zoom = $( gmap_el ).attr( 'data-zoom' );
		var startLatlng = new google.maps.LatLng( gx, gy );
		var marker;
		var mapOpties = {  
	  		scrollwheel: false,
	  		zoom: parseInt( zoom ),
	  		center: startLatlng,
	  		mapTypeId: google.maps.MapTypeId.ROADMAP,
	  		zoomControl: false,
	  		zoomControlOptions: {
    			style: google.maps.ZoomControlStyle.SMALL,
				position: google.maps.ControlPosition.TOP_LEFT    		
  			}
		};
		  
		grenzen = new google.maps.LatLngBounds();    
		kaart = new google.maps.Map( document.getElementById( id ), mapOpties );
		marker = new google.maps.Marker({
			position: startLatlng, 
			map: kaart,
			// icon: new google.maps.MarkerImage( scoutingnl_data.url + '/assets/img/ico/ico-map.png' )
		});   
	
	}

	/* === public properties en methods === */
	
	return {
		
		laden: function() {
			gmapJSLaden();
		},
		load_me: function() {
			initialize();
		}
		
	};
	
})();

jQuery( document ).ready( function() {

	if ( $( '.gb-gmap' ).length > 0 ) {

		gmap_el = $( '.gb-gmap' );
		scoutingnl_kaart.laden();
		
	}

});