<?php

// Register Custom Post Type

function kalenderitems() {

	$labels = array(
		'name'                  => _x( 'kalenderitems', 'Post Type General Name', 'scoutingnl' ),
		'singular_name'         => _x( 'kalenderitem', 'Post Type Singular Name', 'scoutingnl' ),
		'menu_name'             => __( 'Kalender items', 'scoutingnl' ),
		'name_admin_bar'        => __( 'Post Type', 'scoutingnl' ),
		'archives'              => __( 'Item Archives', 'scoutingnl' ),
		'attributes'            => __( 'Item Attributes', 'scoutingnl' ),
		'parent_item_colon'     => __( 'Bovenliggend item', 'scoutingnl' ),
		'all_items'             => __( 'Alle kalenderitems', 'scoutingnl' ),
		'add_new_item'          => __( 'Voeg kalenderitem toe', 'scoutingnl' ),
		'add_new'               => __( 'Voeg toe', 'scoutingnl' ),
		'new_item'              => __( 'Nieuw kalenderitem', 'scoutingnl' ),
		'edit_item'             => __( 'Bewerk kalenderitem', 'scoutingnl' ),
		'update_item'           => __( 'Update kalenderitem', 'scoutingnl' ),
		'view_item'             => __( 'Bekijk kalenderitem', 'scoutingnl' ),
		'view_items'            => __( 'Bekijk kalenderitems', 'scoutingnl' ),
		'search_items'          => __( 'Zoek kalenderitems', 'scoutingnl' ),
		'not_found'             => __( 'Niet gevonden', 'scoutingnl' ),
		'not_found_in_trash'    => __( 'Niet gevonden in de prullenbak', 'scoutingnl' ),
		'featured_image'        => __( 'Uitgelichte afbeelding', 'scoutingnl' ),
		'set_featured_image'    => __( 'Uitgelichte afbeelding instellen', 'scoutingnl' ),
		'remove_featured_image' => __( 'Verwijder uitgelichte afbeelding', 'scoutingnl' ),
		'use_featured_image'    => __( 'Gebruik als uitgelichte afbeelding', 'scoutingnl' ),
		'insert_into_item'      => __( 'Invoegen', 'scoutingnl' ),
		'uploaded_to_this_item' => __( 'Geupload', 'scoutingnl' ),
		'items_list'            => __( 'Lijst', 'scoutingnl' ),
		'items_list_navigation' => __( 'Lijst navigatie', 'scoutingnl' ),
		'filter_items_list'     => __( 'Filter items', 'scoutingnl' ),
	);
	$args   = array(
		'label'               => __( 'kalenderitem', 'scoutingnl' ),
		'labels'              => $labels,
		'supports'            => array( 'title', 'editor', 'thumbnail', 'custom-fields', 'page-attributes' ),
		'taxonomies'          => array( 'category', 'post_tag' ),
		'hierarchical'        => false,
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'menu_position'       => 5,
		'show_in_admin_bar'   => true,
		'show_in_nav_menus'   => true,
		'can_export'          => true,
		'has_archive'         => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'capability_type'     => 'post',
		'show_in_rest'        => true,
	);
	register_post_type( 'kalenderitems', $args );

}
add_action( 'init', 'kalenderitems', 0 );
