<?php

function get_the_content_html( $more_link_text = '' ) {

	$content = get_the_content( $more_link_text );
	$content = apply_filters( 'the_content', $content );
	return $content;

}

add_filter( 'get_the_excerpt', 'html_excerpt' );
function html_excerpt( $tekst ) {

	global $post;

	$tekst          = get_the_content( '' );
	$tekst          = apply_filters( 'the_content', $tekst );
	$tekst          = str_replace( '\]\]\>', ']]&gt;', $tekst );
	$tekst          = strip_tags( $tekst, '<h3><p><strong><ul><li>' );
	$excerpt_lengte = 40;
	$aantal_woorden = explode( ' ', $tekst, $excerpt_lengte + 1 );
	if ( count( $aantal_woorden ) > $excerpt_lengte ) {
		array_pop( $aantal_woorden );
		array_push( $aantal_woorden, ' ... ' );
		$tekst = implode( ' ', $aantal_woorden );
	}

	return $tekst;

}


add_action( 'pre_get_posts', 'post_count_instellen' );
function post_count_instellen( $query ) {

	if ( ( $query->is_tag() && $query->is_main_query() ) || $query->is_search() && $query->is_main_query() || ( $query->is_archive() && $query->is_main_query() ) ) {
		$query->set( 'posts_per_page', '30' );
	}

	return $query;

}


function pagina_is_child( $page_id ) {

	global $post;

	if ( is_page() && ( $post->post_parent > 0 ) ) {
		return true;
	} else {
		return false;
	}

}


function get_top_parent_page_id( $id ) {

	$post   = get_post( $id );
	$ouders = $post->ancestors;

	if ( $post->ancestors ) {

		return end( $ouders );

	} else {

		return $post->ID;

	}

}


function woorden_tellen() {

	ob_start();
	the_content();
	$inhoud = ob_get_clean();
	return sizeof( explode( ' ', $inhoud ) );

}


function ip_adres_bezoeker() {

	if ( ! empty( $_SERVER['HTTP_CLIENT_IP'] ) ) {
		$ip = $_SERVER['HTTP_CLIENT_IP'];
	} elseif ( ! empty( $_SERVER['HTTP_X_FORWARDED_FOR'] ) ) {
		$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
	} else {
		$ip = $_SERVER['REMOTE_ADDR'];
	}

	return $ip;

}

function huidige_categorie() {

	global $post;

	$cats = get_the_category();

	if ( $cats ) {
		foreach ( $cats as $cat ) {
			$categorie = $cat->slug;
		}
	}

	return $categorie;

}

function huidige_top_level_categorie() {

	global $post;

	$cats = get_the_category();

	if ( $cats ) {
		foreach ( $cats as $cat ) {
			if ( 0 == intval( $cat->parent ) ) {
				return $cat->slug;
			}
		}
	}

}



