<?php

/**
 * Template for displaying the searchbox page.
 *
 * Used to display the theme's page with a search box.
 *
 * @package     WordPress
 * @subpackage  Timber
 * @since
 */

/*
Template Name: Pagina met zoekformulier
*/

$context           = Timber::get_context();
$page_post         = Timber::query_post();
$context['post']   = $page_post;
$banner            = get_field( 'banner', $page_post->ID );
$context['banner'] = $banner;

$templates = array(
	'page-search.twig',
	'page.twig',
	'index.twig',
);
Timber::render( $templates, $context );
