var scoutingnl = ( function() {
	
	/* === private properties en methods === */
	
	function debounce( func, wait, immediate ) {
	
		var timeout;
		
		return function() {
			var context = this, args = arguments;
			var later = function() {
			
				timeout = null;
				if ( !immediate ) {
					func.apply( context, args );
				}
			
			};
			
			var callNow = immediate && !timeout;
			clearTimeout( timeout );
			timeout = setTimeout( later, wait );
			if ( callNow ) {
				func.apply( context, args );
			}
		};
		
	}

	/* === public properties en methods === */
	
	return {
	
		eventsBinden: function() {	

			$( '#mobile-menu' ).on ( 'click', function() {

				$( '#mobile-menu, #main-menu' ).toggleClass( 'mobile' );
				if ( $( '#main-menu' ).hasClass( 'mobile' ) ) {
					$( '#main-menu' ).removeClass( 'hide-mobile' );
				} else {
					$( '#main-menu' ).addClass( 'hide-mobile' );
				}

			});

			if ( 0 < $( '#slider' ).length ) {
				$( '#slider' ).bxSlider({
				    auto: ( $( '#slider li' ).length > 1 ) ? true : false,
					controls: false,
					infiniteLoop: true,
					minSlides: 1,
					maxSlides: 1,
					moveSlides: 1,
					nextText: '<i class="fas fa-chevron-right"></i>',
					pager: false,
					pause: 5000,
					preloadImages: 'all',
        			prevText: '<i class="fas fa-chevron-left"></i>',
					speed: 1500,
					startSlide: 0,
				});
			}			
		  			    		
		},
	
	};

})( jQuery );	

$( document ).ready( function() {
	
	scoutingnl.eventsBinden();
	
});